.\" Man page generated from reStructuredText.
.
.TH "MKFS.S3QL" "1" "Jan 03, 2021" "3.7.0" "S3QL"
.SH NAME
mkfs.s3ql \- Create an S3QL file system
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH SYNOPSIS
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
mkfs.s3ql [options] <storage url>
.ft P
.fi
.UNINDENT
.UNINDENT
.SH DESCRIPTION
.sp
S3QL is a file system for online data storage. Before using S3QL, make
sure to consult the full documentation (rather than just the man pages
which only briefly document the available userspace commands).
.sp
The \fBmkfs.s3ql\fP command creates a new file system in the location
specified by \fIstorage url\fP\&. The storage url depends on the backend
that is used. The S3QL User\(aqs Guide should be consulted for a
description of the available backends.
.sp
Unless you have specified the \fB\-\-plain\fP option, \fBmkfs.s3ql\fP will ask
you to enter an encryption password. This password will \fInot\fP be read
from an authentication file specified with the \fB\-\-authfile\fP
option to prevent accidental creation of an encrypted file system.
.SH OPTIONS
.sp
The \fBmkfs.s3ql\fP command accepts the following options.
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.TP
.BI \-\-cachedir \ <path>
Store cached data in this directory (default:
\fB~/.s3ql)\fP
.TP
.BI \-\-log \ <target>
Destination for log messages. Specify \fBnone\fP for
standard output or \fBsyslog\fP for the system logging
daemon. Anything else will be interpreted as a file
name. Log files will be rotated when they reach 1 MiB,
and at most 5 old log files will be kept. Default:
\fBNone\fP
.TP
.BI \-\-debug\-modules \ <modules>
Activate debugging output from specified modules (use
commas to separate multiple modules). Debug messages
will be written to the target specified by the
\fB\-\-log\fP option.
.TP
.B \-\-debug
Activate debugging output from all S3QL modules. Debug
messages will be written to the target specified by
the \fB\-\-log\fP option.
.TP
.B \-\-quiet
be really quiet
.TP
.BI \-\-backend\-options \ <options>
Backend specific options (separate by commas). See
backend documentation for available options.
.TP
.B \-\-version
just print program version and exit
.TP
.BI \-\-authfile \ <path>
Read authentication credentials from this file
(default: \fB~/.s3ql/authinfo2)\fP
.TP
.BI \-L \ <name>
Filesystem label
.TP
.BI \-\-max\-obj\-size \ <size>
Maximum size of storage objects in KiB. Files bigger
than this will be spread over multiple objects in the
storage backend. Default: 10240 KiB.
.TP
.B \-\-plain
Create unencrypted file system.
.UNINDENT
.UNINDENT
.UNINDENT
.SH EXIT CODES
.sp
\fBmkfs.s3ql\fP may terminate with the following exit codes:
.INDENT 0.0
.TP
.B 0
Everything went well.
.TP
.B 1
An unexpected error occured. This may indicate a bug in the
program.
.TP
.B 2
Invalid command line argument or configuration file key.
.TP
.B 3
Invalid backend option.
.TP
.B 11
No such backend.
.TP
.B 12
Authentication file has insecure permissions.
.TP
.B 13
Unable to parse proxy settings.
.TP
.B 14
Invalid credentials (Authentication failed).
.TP
.B 15
No permission to access backend (Authorization denied).
.TP
.B 16
Invalid storage URL, specified location does not exist in backend.
.TP
.B 19
Unable to connect to backend, can\(aqt resolve hostname.
.TP
.B 45
Unable to access cache directory.
.UNINDENT
.SH SEE ALSO
.sp
The S3QL homepage is at \fI\%https://github.com/s3ql/s3ql/\fP\&.
.sp
The full S3QL documentation should also be installed somewhere on your
system, common locations are \fB/usr/share/doc/s3ql\fP or
\fB/usr/local/doc/s3ql\fP\&.
.SH COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>
.\" Generated by docutils manpage writer.
.
